# Grabs the first item in the list
data modify storage redwood:mahoraga pulled_from_list set from storage redwood:mahoraga temp_delayed_weapons[0].item

# Checks to see if the item is a match
execute store result score @s CommandSuccess run data modify storage redwood:mahoraga pulled_from_list set from storage redwood:mahoraga item_to_compare

# Changes ItemFound if a match is found
execute if entity @s[scores={CommandSuccess=0}] run scoreboard players set @s ItemFound 1

# removes 5 seconds from the cooldown if a match is found
# Finds the first item in the list temp_delayed_weapons and stores it's current cooldown in a scoreboard
execute if entity @s[scores={CommandSuccess=0}] store result score @s TimeRemove run data get storage redwood:mahoraga temp_delayed_weapons[0].cooldown

# Changes the cooldown by -10
execute if entity @s[scores={CommandSuccess=0}] run scoreboard players remove @s TimeRemove 10
execute if entity @s[scores={CommandSuccess=0}] store result storage redwood:mahoraga temp_delayed_weapons[0].cooldown int 1.0 run scoreboard players get @s TimeRemove

# Moves it regardless of outcome
data modify storage redwood:mahoraga delayed_weapons append from storage redwood:mahoraga temp_delayed_weapons[0]
data remove storage redwood:mahoraga temp_delayed_weapons[0]

# Recalls the function if the list temp_delayed_weapons isn't empty
execute if data storage redwood:mahoraga temp_delayed_weapons[{}] run function redwood:mahoraga/delay/decrease.time.hit.step

